Package ru.bitel.bgbilling.plugins.bonus.common.bean

# Class BonusProgram

java.lang.Object
ru.bitel.bgbilling.plugins.bonus.common.bean.BonusProgram

    public class BonusProgram
    extends java.lang.Object

Бонусная программа. Содержит название, период действия, тип программы и остальные параметры программы. Основные параметры присущие всем бонусным программам вынесены полями класса, индивидуальные параметры содержатся в params; Так же статик полями вынесены название и ид типов бонусных програм.( возможно перейдет в бд ).

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `dynamicIdType` | Код типа для всех динамических программ, но название типов у каждого свое, и берется непосредственно у самой программы.
  `static int` | `operationIdType` |
  `static java.lang.String` | `operationTitleType` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BonusProgram()` |
  `BonusProgram​(int id, java.lang.String title, int programTypeId, Period period, int paymentTypeId, java.lang.String timeLag, java.lang.String activeTime, java.util.HashMap<java.lang.String,​java.lang.String> params)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getActiveTime()` |
  `int` | `getId()` | Возвращает код программы
  `java.lang.String` | `getNameForDynamicClass()` | Получение полного путя для дин класса.
  `java.util.HashMap<java.lang.String,​java.lang.String>` | `getParams()` |
  `int` | `getPaymentTypeId()` |
  `Period` | `getPeriod()` |
  `int` | `getProgramTypeId()` | Возвращает код типа программы
  `java.lang.String` | `getSpecificationTitle()` |
  `java.lang.String` | `getTimeLag()` |
  `java.lang.String` | `getTitle()` | Возвращает название программы
  `static java.util.Vector<bitel.billing.module.common.ComboBoxItem>` | `getVectorTypes​(java.util.Map<java.lang.String,​java.lang.String> map)` |
  `void` | `setActiveTime​(java.lang.String activeTime)` |
  `void` | `setId​(int id)` | Устанавливает код программы
  `void` | `setNameForDynamicClass​(java.lang.String path)` | Установить путь до дин класса, нужно только для динамических программ.
  `void` | `setParams​(java.util.HashMap<java.lang.String,​java.lang.String> params)` |
  `void` | `setPaymentTypeId​(int paymentTypeId)` |
  `void` | `setPeriod​(Period period)` |
  `void` | `setProgramTypeId​(int programTypeId)` | Устанавливает код типа программы
  `void` | `setSpecificationTitle​(java.lang.String specificationTitle)` |
  `void` | `setTimeLag​(java.lang.String timeLag)` |
  `void` | `setTitle​(java.lang.String title)` | Устанавливает название программы

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### operationTitleType

    public static final java.lang.String operationTitleType
    See Also:
      Constant Field Values

  - ### operationIdType

    public static final int operationIdType
    See Also:
      Constant Field Values

  - ### dynamicIdType

    public static final int dynamicIdType
    Код типа для всех динамических программ, но название типов у каждого свое, и берется непосредственно у самой программы.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### BonusProgram

    public BonusProgram()

  - ### BonusProgram

    public BonusProgram​(int id, java.lang.String title, int programTypeId, Period period, int paymentTypeId, java.lang.String timeLag, java.lang.String activeTime, java.util.HashMap<java.lang.String,​java.lang.String> params)
    Parameters:
      `id` - - ид программы, при добовление новой программы = 0.
      `title` - - название программы.
      `programTypeId` - - тип программы(выбрать из статик полей данного класса).
      `dateFrom` - - от даты.
      `dateTo` - - до даты.
      `paymentTypeId` - - тип бонусного прихода.
      `timeLag` - - кол-во дней через которое станет активен бонусные платеж( от момента подсчета бонусов).
      `activeTime` - - кол-во дней которое будет активен бонусный приход.
      `params` - - параметры бонусной программы.

- ## Method Details

  - ### getId

    public int getId()
    Возвращает код программы
    Returns:
      уникальный код программы

  - ### setId

    public void setId​(int id)
    Устанавливает код программы
    Parameters:
      `id` - - уникальный код программы

  - ### getTitle

    public java.lang.String getTitle()
    Возвращает название программы
    Returns:
      название программы

  - ### setTitle

    public void setTitle​(java.lang.String title)
    Устанавливает название программы
    Parameters:
      `title` - - название программы

  - ### getProgramTypeId

    public int getProgramTypeId()
    Возвращает код типа программы
    Returns:
      код типа

  - ### setProgramTypeId

    public void setProgramTypeId​(int programTypeId)
    Устанавливает код типа программы
    Parameters:
      `programTypeId` - - код типа

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod​(Period period)

  - ### getPaymentTypeId

    public int getPaymentTypeId()

  - ### setPaymentTypeId

    public void setPaymentTypeId​(int paymentTypeId)

  - ### getTimeLag

    public java.lang.String getTimeLag()

  - ### setTimeLag

    public void setTimeLag​(java.lang.String timeLag)

  - ### getActiveTime

    public java.lang.String getActiveTime()

  - ### setActiveTime

    public void setActiveTime​(java.lang.String activeTime)

  - ### getParams

    public java.util.HashMap<java.lang.String,​java.lang.String> getParams()

  - ### setParams

    public void setParams​(java.util.HashMap<java.lang.String,​java.lang.String> params)

  - ### getSpecificationTitle

    public java.lang.String getSpecificationTitle()

  - ### setSpecificationTitle

    public void setSpecificationTitle​(java.lang.String specificationTitle)

  - ### setNameForDynamicClass

    public void setNameForDynamicClass​(java.lang.String path)
    Установить путь до дин класса, нужно только для динамических программ. Реально, данный путь хранится в мапе, при затрагивании params надо это учитовать.
    Parameters:
      `specificationTitle` -

  - ### getNameForDynamicClass

    public java.lang.String getNameForDynamicClass()
    Получение полного путя для дин класса. Он имеет значение только для динамических бонусных программ.
    Returns:
      - строку с полным путем. Если значение не задано или мап не задан, то вернет null.

  - ### getVectorTypes

    public static java.util.Vector<bitel.billing.module.common.ComboBoxItem> getVectorTypes​(java.util.Map<java.lang.String,​java.lang.String> map)
    Returns:
      вектор с id, title типов програм, для комбобокс.